Last Comment Bug 697827 - [Mobile] Pull out Aurora in-product lightbox promo for Firefox 9 Beta
: [Mobile] Pull out Aurora in-product lightbox promo for Firefox 9 Beta
Status: VERIFIED FIXED
: verified-beta
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 9
: ARM Android
: P1 normal (vote)
: Firefox 9
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
Depends on:
Blocks: 676047
  Show dependency treegraph
 
Reported: 2011-10-27 14:15 PDT by Jaclyn Fu
Modified: 2012-01-17 16:42 PST (History)
7 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
backout patch for Fx9 (12.44 KB, patch)
2011-11-08 14:26 PST, Matt Brubeck (:mbrubeck)
mark.finkle: review+
mark.finkle: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Jaclyn Fu 2011-10-27 14:15:16 PDT
Hi everyone, 

In Bug 676047, we added a in-product lightbox promo to Firefox 9 Beta to encourage users to try out Firefox Aurora 10.  Due to the new Native-UI plan, we feel it might be best to hold off on this promo until Native-UI Aurora can be placed in the Android Market to 1) make the download process easier 2) prevent users from experiencing two very different products when Native-Fennec Aurora is pushed.  

Mark - would it be possible for us to take it out until the Dec release?  This would be the most ideal. 

Thank you
Comment 1 Jaclyn Fu 2011-10-31 09:49:19 PDT
Hi Mark,

Wanted to get get an update if this would be possible to postpone until Dec 20.  We will also be putting Aurora in the Android Market then and would like to switch out the link to direct users to the Android Market instead of the wiki. 

Thanks!
Comment 2 Matt Brubeck (:mbrubeck) 2011-11-08 14:26:39 PST
Created attachment 573008 [details] [diff] [review]
backout patch for Fx9

This patch is a straightforward backout of bug 676047, except that it does not remove the added strings.  (I didn't want to break string freeze on beta even by removing strings. The strings are still used in Fx10, so it is still useful for localizers to translate them.)

This patch applies to the Firefox 9 branch (currently Aurora, soon to be Beta).
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-08 17:02:39 PST
Comment on attachment 573008 [details] [diff] [review]
backout patch for Fx9

This patch is really only intended to land on Aurora (soon to be Beta)
Comment 4 Matt Brubeck (:mbrubeck) 2011-11-08 17:04:13 PST
Comment on attachment 573008 [details] [diff] [review]
backout patch for Fx9

aurora->beta migration happened; updating flags.

This is a Fennec-only change that backs out some no-longer-wanted marketing content from the default home page.
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-08 17:10:47 PST
Comment on attachment 573008 [details] [diff] [review]
backout patch for Fx9

changing to beta approval, since the merge has happened
Comment 6 Matt Brubeck (:mbrubeck) 2011-11-09 17:08:13 PST
https://hg.mozilla.org/releases/mozilla-beta/rev/fc6b1f33a497

Unfortunately this did not make the cut-off for the first 9.0b1 build.  Sorry.  :(  Do we need to respin for this?

If we don't respin, then 9.0b1 users on Android will see a promotion for Aurora on the fifth time they open Firefox Beta and load the default home page.
Comment 7 Jaclyn Fu 2011-11-09 17:14:28 PST
I don't think we should respin unless there's another need to respin. 

Can we get this in the next update? (how often do betas update?)
Comment 8 Matt Brubeck (:mbrubeck) 2011-11-09 17:15:29 PST
Yes, this will automatically go into the next beta update.  I believe in the past we have pushed beta updates about once a week.
Comment 9 Jaclyn Fu 2011-11-09 17:18:31 PST
Ok, no respin it is! Thanks
Comment 10 Camelia Urian 2011-11-23 09:03:43 PST
Build ID: Mozilla/5.0 (Android; Linux armv7l; rv:9.0) Gecko/20111122 Firefox/9.0 Fennec/9.0
Device: HTC Desire - Android 2.2
        Asus Transformer TF101 - Android 3.1

Verified fixed, Lightbox Promo was not displayed.

Note You need to log in before you can comment on or make changes to this bug.